package com.rjconsultores.ventaboletos.web.utilerias.menu.item.relatorio.bpe;

import java.util.Map;

import org.zkoss.util.resource.Labels;

import com.rjconsultores.ventaboletos.web.utilerias.PantallaUtileria;
import com.rjconsultores.ventaboletos.web.utilerias.menu.DefaultItemMenuSistema;

public class ItemMenuBpeDevolucao extends DefaultItemMenuSistema {

	public ItemMenuBpeDevolucao() {
		super("indexController.mnSubMenuBpeFiscal.devolucion.label");
	}

	@Override
	public String getClaveMenu() {
		return "COM.RJCONSULTORES.ADMINISTRACION.GUI.RELATORIOS.BPE.DEVOLUCION";
	}

	@Override
	public void ejecutar() {

		Map map = getArgs();
		map.put("isRelatorioFinanceiroBpe", Boolean.TRUE);

		PantallaUtileria.openWindow("/gui/relatorios/filtroRelatorioDevolucaoBilhetes.zul",
				Labels.getLabel("indexController.mnSubMenuBpeFiscal.devolucion.label"), map, desktop);

	}
}
